# Uses of Interface
org.bukkit.Raid

Packages that use Raid
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.event.raid
`Events` related to raids.

## Uses of Raid in org.bukkit

Methods in org.bukkit that return Raid
Modifier and Type
Method
Description
`@Nullable Raid`
World.`locateNearestRaid(@NotNull Location location, int radius)`
Finds the nearest raid close to the given location.
Methods in org.bukkit that return types with arguments of type Raid
Modifier and Type
Method
Description
`@NotNull List<Raid>`
World.`getRaids()`
Gets all raids that are going on over this world.

## Uses of Raid in org.bukkit.event.raid

Methods in org.bukkit.event.raid that return Raid
Modifier and Type
Method
Description
`@NotNull Raid`
RaidEvent.`getRaid()`
Returns the raid involved with this event.
Constructors in org.bukkit.event.raid with parameters of type Raid
Modifier
Constructor
Description
`protected`
`RaidEvent(@NotNull Raid raid, @NotNull World world)`
``
`RaidFinishEvent(@NotNull Raid raid, @NotNull World world, @NotNull List<Player> winners)`
``
`RaidSpawnWaveEvent(@NotNull Raid raid, @NotNull World world, @Nullable Raider leader, @NotNull List<Raider> raiders)`
``
`RaidStopEvent(@NotNull Raid raid, @NotNull World world, @NotNull RaidStopEvent.Reason reason)`
``
`RaidTriggerEvent(@NotNull Raid raid, @NotNull World world, @NotNull Player player)`